html {
    /* Высота вашей шапки + 20px запаса */
    scroll-padding-top: 50px; 
    scroll-behavior: smooth; /* Для плавной прокрутки */
}

.text-center {
	text-align:center;
}
.inline-block {
	display:inline-block;
}

/*Плавающая шапка*/
.header {
	position: sticky;
    top: 0;
}


/*пагинация*/
.pagination { display: flex; list-style: none; padding: 0; margin: 0;margin-top:20px !important; }  
.page-item { margin-right: 5px; }  
.page-link { display: block; padding: 8px 12px; border: 1px solid #ddd; text-decoration: none; color: #333; background-color: #fff; border-radius: 4px; transition: background-color 0.3s ease; }  
.page-link:hover { background-color: #f5f5f5; }  
.page-item.active .page-link { background-color: #2a5843; color: #fff; border-color: #2a5843; }  
.page-item.disabled .page-link { color: #888; background-color: #eee; border-color: #ddd; pointer-events: none; cursor: not-allowed; }  


/*****************хлебные крошки*******************/
/* Базовый стиль для хлебных крошек */
.breadcrumb {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
    margin: 0;
    font-size: 14px;
    line-height: 1.5;
	    padding: 12px 0;
}

/* Стили для каждого элемента */
.breadcrumb-item {
    display: inline-block;
    margin-right: 10px;
    position: relative;
}

/* Стили для активных элементов */
.breadcrumb-item.active {
    color: #333;
    font-weight: bold;
}

/* Стили для ссылок */
.breadcrumb-item a {
    color: #2A5843;
    text-decoration: none;
    padding: 0 5px;
}

.breadcrumb-item a:hover {
    text-decoration: underline;
    color: #0056b3;
}

/* Стили для разделителей */
.breadcrumb-item::before {
    content: ">";
    margin-right: 5px;
    color: #333;
    font-size: 12px;
}

.breadcrumb-item:first-child::before {
    content: none;
}

/* Дополнительные стили для улучшения внешнего вида */
@media (max-width: 768px) {
    .breadcrumb {
        flex-wrap: wrap;
        font-size: 13px;
    }
}



/*Главная о создателе*/
.about-section-container {
	grid-template-columns: repeat(1, 4fr 2fr);
}

/*Главная о создателе*/
.s1-section-container {
	display: grid;
	grid-template-columns: repeat(1, 4fr 2fr);
	    gap: 40px;
}

@media (max-width: 1100px) {
	.s1-section-container {
		display: flex;
		flex-flow: column;
		align-items: stretch;
	}
	
	.s1-section-container .s1-body {
		order:1;
	}
}


/*Текстовая страница*/
.text-page {
    /*grid-template-columns: 1fr 2fr;*/
	display:block;
}
.text-page .about-section-cover .cover {
	background:none;
}
.text-page .about-section-cover .cover img {
	height:initial;
}
.text-page .about-section-content {
	display:block;
}
.text-page .about-section-content .text-image {
	max-width: 33%;
    float: left;
    margin-right: 20px;
    margin-bottom: 20px;
}
@media(max-width: 768px) {
	.text-page .about-section-content .text-image {
		max-width:100%;
	}
}
/*Форма*/
.error {
	color:red;
}
.successMessage {
	color:green;
	font-weight:bold;
}
/*Список без карусели*/
.list_noswiper .swiper-pagination, .list_noswiper .swiper-nav-prev, .list_noswiper .swiper-nav-next {
	display:none !important;
}
.list_noswiper .rows {
	display: flex;
	flex-wrap: wrap;
}
.list_noswiper .rows > div.swiper-slide {
    margin-right: 25px;
	width:31%;
	    flex-shrink: 1;
		margin-bottom: 35px;
}

.list_noswiper .rows > div.swiper-slide:nth-child(3n) {
	margin-right: 0;
}

@media (max-width: 992px) {
	.list_noswiper .rows > div.swiper-slide {
		width:30% !important;
		margin-right: 20px;
		margin-bottom: 30px;
	}
}
@media (max-width: 768px) {
	.list_noswiper .rows > div.swiper-slide {
		width:45% !important;
		    margin-right: 15px;
			    margin-bottom: 25px;
	}
	.list_noswiper .rows > div.swiper-slide:nth-child(3n) {
		margin-right: 15px;
	}
	.list_noswiper .rows > div.swiper-slide:nth-child(2n) {
		margin-right: 0;
	}
	/*Отдельно для списка новостей*/
	.list_noswiper.news-section-body .rows > div.swiper-slide {
		width:100% !important;
	}
	.list_noswiper.news-section-body .rows > div.swiper-slide {
		margin-right: 0;
	}
}

/*Товар*/
.product-main {
	    display: flex;
    flex-wrap: nowrap;
	gap: 30px;
}
.product-main div:nth-child(1) {
	    max-width: 33%;
}
.product-main div:nth-child(1) img {
	    width: 100%;
    max-width: 100% !important;
}
.product-main b, .product-main strong {
	font-weight: 200;
	color: #2a5843;
}
@media (max-width: 768px) {
	.product-main {
	    display: block;
	}
	.product-main div:nth-child(1) {
			max-width: 100%;
	}
}

/*фотографии в слайдерах*/
.products-section .el-cover {
	background:none;
	padding-top: 0;
}
.products-section .el-cover img {
	/*убрать обрезку*/
	    object-fit: scale-down;
		/*width: initial;*/
		margin: 0 auto;
		    position: initial;
}
.partners-section .el-cover {
	background: white;
}
.partners-section .el-cover img {
	object-fit: fill;
	    object-fit: contain;
}
/*****************фото о создатиле******************/
@media (max-width: 1100px) {
	.about-section-cover {
		height: initial;
		max-width: 400px;
		margin:0;
	}
}
@media (max-width: 768px) {
	.about-section-cover {
		height: initial;
		max-width: 200px;
		max-width: 100%;
		display: block;
	}
}

/*************кнопка редактировать ресурс***********/
.gotoresource{
    width: 60px;
    height: 60px;
    background-color: #00b3ee;
    position: fixed;/*фиксир. позиц*/
    bottom: 260px;
    right: 20px;
    font-size: 50px;
    text-align: center;
    line-height: 60px;
    filter:progid:DXImageTransform.Microsoft.Alpha(opacity=30);
    opacity: 0.5;/*полупрозрачная*/
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    border-radius: 10px;
	border-radius: 50%;
    -moz-box-shadow:
    1px 6px 5px rgba(000,000,000,0.5);
    -webkit-box-shadow:
    1px 6px 5px rgba(000,000,000,0.5);
    box-shadow: 
    1px 4px 5px rgba(000,000,000,0.5);
    cursor: pointer;
	z-index:999999;
	color: white;
}
.gotoresource:hover{
    filter:progid:DXImageTransform.Microsoft.Alpha(opacity=100);
    opacity: 1;/*при наведении не прозрачная*/
}
@media only screen and (max-width: 768px) {
	.gotoresource {
		bottom: 300px;
	}
}

/*форма заказа*/
.forma_zakaza {
	background:initial;
}

/***********Галерея в новостях************/
.main-gallery {
	display: flex;
  flex-wrap: wrap;
  gap:20px;
}

.main-gallery__item {
  flex: 0 0 30.3333%;
  flex: 0 0 15.1111%;
  border: 1px solid;
  font-size: 0;
}

.main-gallery__item img {
	max-width:100%;
}

@media only screen and (max-width: 768px) {
	.main-gallery {
		gap:10px;
	}
	.main-gallery__item {
		flex: 0 0 47%;
	}
}

/*кнопка с вотсапом*/
.whatsapp_btn img {
	max-height: 25px;
    position: absolute;
    left: 29px;
    top: 30%;
}
.whatsapp_btn span {
	padding-left: 28px;
}